<?php
/**
 * 证书删除
 * $Id: certificate_delete_result.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author lixq
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("15")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestString("id");
$certificate_mst = CertificateMst::getById($id);
if ($certificate_mst == null) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "certificate_list.inc";
	$layout_pages["menu_clicked"] = "5-4";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}
$aliHandler = new AliUploadHandler();
$aliHandler->delete(substr ( $certificate_mst->front_image, strrpos ( $certificate_mst->front_image, "/" ) + 1 ));
// 数据库更新
$certificate_mst->delete_flg = true;
$certificate_mst->save();

// 跳到一览页
header("Location:certificate_list.php");
exit;
